Eagle Lander 3D and Vista

The current version of EL3D (v212) supports Vista as long as you apply a patch before installing the program. Make sure you have Administrator privileges before installing either the patch or setup212.exe.




Techie information - reason for patch: New installations of Vista do not include some of the legacy DirectX dynamic link libraries that are standard in XP. For EL3D the missing file is: dx8vb.dll. This file is necessary to register some components of EL3D.